Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ha.framework.server
Class DistributedReplicantManagerImpl.MembersPublisher

    java.lang.Object
      java.lang.Thread
          org.jboss.ha.framework.server.DistributedReplicantManagerImpl.MembersPublisher

All Implemented Interfaces:
  Runnable

Enclosing class:
  DistributedReplicantManagerImpl

protected class DistributedReplicantManagerImpl.MembersPublisher
extends Thread

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`DistributedReplicantManagerImpl.MembersPublisher()`

Method Summary
`void` | `run()` Called when service needs to re-publish its local replicants to other cluster members after this node has joined the cluster.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DistributedReplicantManagerImpl.MembersPublisher

    public DistributedReplicantManagerImpl.MembersPublisher()

Method Detail

### run

    public void run()

  Called when service needs to re-publish its local replicants to other cluster members after this node has joined the cluster.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.